package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bfd;
import com.brilliance.isc.vo.domlc.BfdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.domlc.DetselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BfdMapper {

    int insert(Bfd record);

    int insertSelective(Bfd record);

    int updateByPrimaryKeySelective(Bfd record);

    int updateByPrimaryKey(Bfd record);

    int deleteByPrimaryKey(Bfd record);

    int deleteByIds(Collection<Object> collection);

    Bfd selectByPrimaryKey(Bfd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bfd> dyncRead(Map<String, Object> dyncMap);

    String GetActUtlBFCount(@Param("inr") String inr);

    String GetActAdvisedBFCount(@Param("inr") String inr);

    List<BfdWithPtsCbbResponseVo> queryBfd(DetselQueryVo detselQueryVo);
    int selectByPntinrInt(@Param("pntInr") String pntInr);

    String getInrByOwnref(@Param("ownref") String ownref);

    Bfd selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Bfd selectByWhere(Bfd record);

    List<BfdWithPtsCbbResponseVo> queryBfdInfo(DetselQueryVo detselQueryVo);

    int updateDocsta(Bfd record);

    Bfd selectByOwnref(String ownref);


}